import React__default from 'react';
import Item from '../Item/index.js';
import { Popper } from '@mui/material';
import { SidemenuModalWrapper } from './style.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var PopperMenu = function PopperMenu(_ref) {
  var _ref$items = _ref.items,
      items = _ref$items === void 0 ? [] : _ref$items,
      modifiers = _ref.modifiers,
      anchorEl = _ref.anchorEl,
      open = _ref.open;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(Popper, {
    id: "pop-menu",
    anchorEl: anchorEl,
    modifiers: modifiers,
    placement: "right-start",
    open: open
  }, function () {
    return /*#__PURE__*/React__default.createElement(SidemenuModalWrapper, null, items.map(function (item, index) {
      return /*#__PURE__*/React__default.createElement(Item, {
        item: item,
        key: index
      });
    }));
  })));
};

export { PopperMenu as default };
//# sourceMappingURL=index.js.map
